class Initializing{

	constructor(initialData:object={}){
		this.init(initialData);
	}

    protected init(data:object){
		Object.keys(data).forEach(function (pn) {
			this[pn] = clone(data[pn]);
		}, this);

		return this;
	}
}